<?php
/*
 * @package lh_fap
 */


class LH_Fap_Plugin {
	/**
	 * Construct the function.
	 *
	 * @access public
	 * @return void
	 */
	public function __construct(){
		$this->action_dispatcher();
		$this->filter_dispatcher();

		if(is_admin()){
			// Initialize the admin stuff
			$this->admin = new LH_Fap_Admin();

			// Initialize the importer
			$this->importer = new LH_Fap_Import();
		}
	}

	/**
	 * Contains all called actions used by the plugin core.
	 *
	 * @access private
	 * @return void
	 */
	private function action_dispatcher(){
		add_action( 'init', array($this, 'do_stuff_on_init') );
	}

	/**
	 * Contains all called filters used by the plugin core.
	 *
	 * @access private
	 * @return void
	 */
	private function filter_dispatcher(){}

	public function do_stuff_on_init(){
		// i18n
		load_plugin_textdomain('lhf', false, dirname(plugin_basename(LHFAP__PLUGIN_FILE)) . '/lang' );
	}
}